commit e9e189d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jun 7 10:00:01 2016 -0700

    Release 2.0.4.
    
    Change-Id: Ia422680f27fb947b1f735b7240be6150768f5cf4

commit 9d69a1e
Author: Jens Kilian <jens.kilian@advantest.com>
Date:   Mon Jun 6 15:38:22 2016 +0200

    Don't sign extend unsigned integer fields larger than 32 bits.
    
    Fix a bug in proto_tree_set_uint64() which caused fields to be sign extended.
    (This only showed up when a non-zero bitmask was present.)
    
    Change-Id: Ibcc986e3d42f97348966ea66c2ae9fca73b09992
    Reviewed-on: https://code.wireshark.org/review/15764
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    (cherry picked from commit 767a59e54e6df17f7d8e2c6806ce16062d17e6d7)
    Reviewed-on: https://code.wireshark.org/review/15765

commit 1d6dd6a
Author: Mark Vitale <mvitale@sinenomine.net>
Date:   Mon Jun 6 13:53:14 2016 -0400

    afs: eliminate "malformed packet" false alarms
    
    Many AFS packets have empty payloads, and Wireshark marks these as
    "Malformed Packet" even though they are normal.
    
    Eliminate these false alarms by using tvb_reported_length_remaining when
    adding items to the tree.
    
    Change-Id: I4f134fef36b8bb7f99224f02fea9cf29117fb36a
    Reviewed-on: https://code.wireshark.org/review/15754
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 528edba87ae6a6ffd951bdd137421910ea88d964)
    Reviewed-on: https://code.wireshark.org/review/15758
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Mark Vitale <mvitale@sinenomine.net>

commit 77548a9
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 6 14:55:10 2016 -0700

    Qt: RTP audio stream fixups.
    
    Make sure audio_stream_ is non-NULL before we try to use it. Delete
    audio_stream_ more gracefully and add a note about mutexes on OS X and
    Windows.
    
    Bug: 12166
    Change-Id: I12e76c49e631bc1de813c5c7d82c7d928c71237e
    Reviewed-on: https://code.wireshark.org/review/15760
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 24f0f89
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 6 13:03:39 2016 -0700

    Prep for 2.0.4.
    
    Change-Id: I3665964caceea94dada8b3df7973d8f07bf3fece
    Reviewed-on: https://code.wireshark.org/review/15755
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9a5e5b2
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Jun 5 20:22:32 2016 +0200

    Qt: Improved ImportTextDialog layout
    
    Put direction indication label and checkbox in a HBox to align vertical.
    
    Change-Id: I2aa7846aef25e9f080349e9dfef5c191b8d323e3
    Reviewed-on: https://code.wireshark.org/review/15742
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 88c914755c33fea06b2414cec6243929ec908c95)
    Reviewed-on: https://code.wireshark.org/review/15752

commit 1ec869f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 5 16:27:37 2016 +0200

    Initialize all header_field_info members
    
    Change-Id: Id86d17f1e321b8cc73fb732aaf674e1420a0a745
    Reviewed-on: https://code.wireshark.org/review/15737
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 86f91643656e0b8f82f7d66903cec089d5ed4208)
    Reviewed-on: https://code.wireshark.org/review/15745

commit 4e42bd4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 5 08:19:35 2016 -0700

    [Automatic update for 2016-06-05]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Iacbaf7e46089bb31ef5e91c0ab65e5e7c4ec5819
    Reviewed-on: https://code.wireshark.org/review/15735
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cc68de1
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jun 5 00:05:23 2016 -0400

    Don't copy details of hidden columns.
    
    Bug: 11788
    Change-Id: I3f4df884d98903222de8a340de6a08e680687b0a
    Reviewed-on: https://code.wireshark.org/review/15727
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 887b2030836167f92cf72a9cf7b1694d5a783624)
    Reviewed-on: https://code.wireshark.org/review/15731
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ff27d85
Author: Evan Huus <eapache@gmail.com>
Date:   Sat Jun 4 13:56:57 2016 -0400

    UMTS_FP: fix handling reserved C/T value
    
    The spec puts the reserved value at 0xf but our internal table has 'unknown' at
    0; since all the other values seem to be offset-by-one, just take the modulus
    0xf to avoid running off the end of the table.
    
    Bug: 12191
    Change-Id: I83c8fb66797bbdee52a2246fb1eea6e37cbc7eb0
    Reviewed-on: https://code.wireshark.org/review/15722
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 7d7190695ce2ff269fdffb04e87139995cde21f4)
    Reviewed-on: https://code.wireshark.org/review/15725
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit bfb1d6d
Author: Zdeněk Žamberský <zzdevel@seznam.cz>
Date:   Sat Jun 4 21:17:46 2016 +0200

    Qt ui code: fix qreal type problems on ARM platform
    
    fixing problems in qt ui code comming from the fact that qreal type is float on
    ARM platform and double on other platforms, which causes build errors on ARM
    (not all casts are probably strictly necessary)
    
    Bug: 12483
    Change-Id: Ife5e6d3649a7ee1ad4e7eadffe9f4484ff2718de
    Reviewed-on: https://code.wireshark.org/review/15723
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b84b3f9f1d8577255a9d83c81277ebc53bcac68d)
    Reviewed-on: https://code.wireshark.org/review/15724

commit 4139555
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 3 20:36:46 2016 +0200

    Remove an ellipsis UTF-8 character in gsignal.h
    
    Change-Id: Ic31dab513fc2ff5f2f182ae98c1b665ea4b8916b
    Reviewed-on: https://code.wireshark.org/review/15713
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 018765f41af15855df87b183e337f0371cfa8a17)
    Reviewed-on: https://code.wireshark.org/review/15719

commit 1bdef75
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 27 22:46:58 2016 -0400

    Create a FieldFilterEdit class and apply it to custom column preference field.
    
    DisplayFilterEdit deals with entire filters and some edit boxes just need a
    single protocol field.  This control will do the trick.
    
    # Conflicts:
    #	ui/qt/Makefile.common
    #	ui/qt/column_preferences_frame.cpp
    
    Bug: 12321
    Change-Id: I8e5837ea9a6955ada29b7e516ea022ab1dd46f0d
    Reviewed-on: https://code.wireshark.org/review/15691
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8421ca2
Author: Jens Kilian <jens.kilian@advantest.com>
Date:   Wed Jun 1 16:05:01 2016 +0200

    Fix a compile error occurring on RedHat Enterprise Linux Workstation release 7.0 (Maipo).
    
    This fixes a compile error with Qt version 4.8.5-8 as installed in RHEL 7.0:
    
      sequence_dialog.cpp: In member function 'void SequenceDialog::mouseMoved(QMouseEvent*)':
      sequence_dialog.cpp:306:35: error: 'escape' is not a member of 'Qt'
                 QString raw_comment = Qt::escape(sai->comment);
                                       ^
    
    Change-Id: Ibbf62123441645471d66aa329f0d63d0ee198017
    Reviewed-on: https://code.wireshark.org/review/15682
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    (cherry picked from commit 76ef2d2a3dff61f523cacc0ac868f5cc2b8f5a5f)
    Reviewed-on: https://code.wireshark.org/review/15690
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bb71afd
Author: Vincent Helfre <vincenthelfre@googlemail.com>
Date:   Wed Jun 1 11:37:00 2016 +0200

    CSN1: fix dissection of variable bitmaps
    
    Change-Id: I3dbb2a4f8f7ea125e4f96e302ea33ff03706eb1b
    Reviewed-on: https://code.wireshark.org/review/15674
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit b079151c6fe0a1c5ac25fc636f96b694eefb50c5)
    Reviewed-on: https://code.wireshark.org/review/15679
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit 3944876
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue May 31 21:23:22 2016 -0400

    tshark man page: the first TCP stream is stream 0, not 1.
    
    This fixes the example of the -z follow option.
    
    Also fix up some formatting in the same section.
    
    Bug: 12383
    Change-Id: Ic9b2ef5e63ab31d70f2750f9cfdcbab76cf204b6
    Reviewed-on: https://code.wireshark.org/review/15667
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit b2845a6ac885d49aa1ea5d3865cd377d812eb4c7)
    Reviewed-on: https://code.wireshark.org/review/15668
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d003e6d
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat May 28 14:59:00 2016 -0400

    Restore a preference column type if fields are empty.
    
    The column type is automatically changed to Custom if user clicks
    on the "Fields" or "Field Occurrences" column.  This can be
    accidental and cause the user grief if he doesn't realize it.
    If there is no text in the field, restore the type to its
    original value.
    
    # Conflicts:
    #	ui/qt/column_preferences_frame.cpp
    
    Bug: 12465
    Change-Id: I0453f43be13077aba58cca61011eeff9ca9b83b2
    Reviewed-on: https://code.wireshark.org/review/15600
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/15658
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1a3e001
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Apr 27 20:27:41 2016 -0400

    If we've seen HTTP in this conversation mark the frame as being HTTP.
    
    ... Even if it doesn't look like HTTP.  When TCP desegmentation is turned off
    the dissector will be called with frames that don't look like HTTP--but it's
    (almost certainly) still HTTP.
    
    This adjusts the changes I9f1c736baaeb86f9fab61601d79e79b4e3a16c38 and
    I2617d1e49030bd5ad85b0e818c48c01dc6fae075--hopefully without breaking the
    intent of either.
    
    Bug: 10335
    Change-Id: I925d53d4f82a01aeffa5d129e53100cc4f488561
    Reviewed-on: https://code.wireshark.org/review/15136
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit 5e9b5d94c148572edf047eb715fbee5cca47ef2d)
    Reviewed-on: https://code.wireshark.org/review/15641
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8ada61c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue May 31 16:09:03 2016 +0200

    LTE-RRC: fix dissection of GPRS container
    
    Payload embedded in LTE message does not include the first byte identifying the message type.
    Let's prepend a fake one before calling the gsm_rlcmac dissector
    
    Change-Id: Ibcf9b52902474a556b55e9b0a076d09d341f868c
    Reviewed-on: https://code.wireshark.org/review/15642
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit d77b8318e82c113b2f7852f950b9269b57e5da40)
    Conflicts:
    	epan/dissectors/asn1/lte-rrc/lte-rrc.cnf
    	epan/dissectors/packet-lte-rrc.c
    Reviewed-on: https://code.wireshark.org/review/15655
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit b1358c0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue May 31 16:11:41 2016 +0200

    Fix display of composite tvbs in GUI
    
    a composite tvb is the top-level data source tvb
    
    Change-Id: Ibab58801a754fd88fb86b9a13804bccf2ad51c7a
    Reviewed-on: https://code.wireshark.org/review/15643
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 35feab8a4a43013f1a06374194ec93d4e64959b6)
    Reviewed-on: https://code.wireshark.org/review/15654

commit a9b2605
Author: Dario Lombardo <lomato@gmail.com>
Date:   Mon May 30 16:34:03 2016 +0200

    qt: fix crash when saving RTP audio
    
    The UI crashes when saving a RTP due to a division by zero.
    To reproduce: open a RTP capture file, Telephony->RTP->RTP Streams,
    then choose a stream, ANALYZE, SAVE, AUDIO, choose a path.
    
    Bug: 12211
    Change-Id: I51d61eb6797fc82c1b03254abaec839d3a1e281d
    Reviewed-on: https://code.wireshark.org/review/15621
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 057d8a80f0a3d91c1346ff77e079539cad7887d6)
    Reviewed-on: https://code.wireshark.org/review/15650
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 895b293
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue May 31 08:24:12 2016 -0700

    Qt: Fix compilation for Qt 4.
    
    QString::toHtmlEscaped was introduced in Qt 5.
    
    Change-Id: I50b2df2f6ef441ec95972173a852d7950aedc028
    Reviewed-on: https://code.wireshark.org/review/15644
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit f786c7a3838f75c7363d5a6f5a3ebb1c4e3daa85)
    Reviewed-on: https://code.wireshark.org/review/15647

commit cd00960
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 29 08:19:11 2016 -0700

    [Automatic update for 2016-05-29]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I2ce3339ffe5594c0997f923f76827de373547bdb
    Reviewed-on: https://code.wireshark.org/review/15606
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ec08682
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 13 14:11:00 2016 -0800

    Fix capture output options.
    
    Remove the "permanent file" checkbox. We weren't properly checking its
    value and it was extraneous. Add placeholder text about temporary files.
    
    Move the filename above the other options. That's where it is in the
    GTK+ UI and it's arguably the most important.
    
    When capturing to multiple files the size and duration settings aren't
    mutually exclusive.
    
    # Conflicts:
    #	ui/qt/capture_interfaces_dialog.cpp
    #	ui/qt/capture_interfaces_dialog.ui
    
    Bug: 12388
    Change-Id: I1da1d3524e3c2de2361050913281472a172faa3a
    Reviewed-on: https://code.wireshark.org/review/13269
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/15604
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit de78e5e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 28 11:04:06 2016 -0700

    If we're "[Saving] the file and [closing] it", actually *close* it.
    
    Otherwise, if you've modified the file (added, removed, or changed
    comments), and you try to close the file or quit, and answer "Save" to
    the "save your work?" question, Wireshark tries to clean up the wmem
    scopes, but the file scope hasn't been left, and wmem crashes with an
    assertion error.
    
    (The GTK+ version does the close, so it doesn't have the bug.)
    
    Change-Id: I87e4bab5017d8cbe693f21b61a19a9fca4625337
    Reviewed-on: https://code.wireshark.org/review/15599
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d56cf90
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 27 08:25:55 2016 -0400

    Create a "placeholder" NFS CB protocol for ONC-RPC stats.
    
    In GTK GUI, "NFS" shows up twice in the ONC-RPC Service Response Time
    Programs list.  That's probably confusing enough to users.  In Qt
    the "second" NFS wasn't showing up at all (or getting overwritten)
    because it was hashing on program name.
    Make NFS programs unique with a "stubbed" protocol.
    
    Bug: 12478
    Change-Id: Ic4ebdab8ba8b70e6026e1fb0f8e8defd4532b0f2
    Reviewed-on: https://code.wireshark.org/review/15588
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1e121f3
Author: Gordon Ross <gordon.w.ross@gmail.com>
Date:   Wed May 25 21:54:20 2016 -0400

    SMB NtCreate andX with extended response sometimes incorrect
    
    Bug: 12473
    Change-Id: Id513a89c5674e7288c7e0b12a06076eec18ff830
    Reviewed-on: https://code.wireshark.org/review/15568
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 32c1a2a3150113451240f7ec6699e17a08678506)
    Reviewed-on: https://code.wireshark.org/review/15569
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 1bb5152
Author: Gordon Ross <gordon.w.ross@gmail.com>
Date:   Wed May 25 18:56:33 2016 -0400

    SMB Open andX extended response decoded incorrectly
    
    Bug: 12472
    Change-Id: I94740078631e96980f14ade5df8ae9694c9d73b1
    Reviewed-on: https://code.wireshark.org/review/15565
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 931465257e1b18dc3480451dda0ada1f65945df4)
    Reviewed-on: https://code.wireshark.org/review/15570
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 8c876c0
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed May 25 17:35:43 2016 -0400

    Fix dissection of JXTA over UDP.
    
    Prior to this change all JXTA-over-UDP frames throw an exception after setting
    COL_PROTOCOL.
    
    The offset used when adding the protocol to the tree had already been
    incremented to point to the end of the TVB; use tree_offset (which is the
    current offset) instead.
    
    This code has been here since r17282 (2006) so presumably the change is that
    proto_tree_add_protocol_format() started throwing an exception when offset
    points to the end of the TVB sometime between then and now.
    
    Change-Id: Iadbcada29cd235e8abe5662b825a2d97ff6f7308
    Reviewed-on: https://code.wireshark.org/review/15560
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 0bc1cdd9f3692e953bae2ce47fe58e5a0ab7ffd2)
    Reviewed-on: https://code.wireshark.org/review/15566
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3f36fdd
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed May 25 14:39:20 2016 -0700

    Qt: Escape sequence dialog hint text.
    
    Escape HTML markup before showing hint text. Otherwise things like SIP
    addresses won't be displayed correctly.
    
    Change-Id: I5ceae978af0ff9e253dae4d3ec8ad9da20948de0
    Reviewed-on: https://code.wireshark.org/review/15561
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit b9487a7fac74daa89346f44c1d8b800a436ddb15)
    Reviewed-on: https://code.wireshark.org/review/15564

commit 788d23e
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Sun May 22 03:24:56 2016 +0100

    Fix warnings using GCC and -Wpragmas
    
    Cherry-picked from:
      Change-Id: I7e02ca86122e3fe8a1c2db9d53b718e6e23c4e98
      Change-Id: Ifb92244423fcb2cc267f8fcefb7a2700a7b7c0ea
      Change-Id: Ia6c5d2c19d991ee3ca3b1525b93121ee7cf15b1e
    
    Change-Id: Iac649bb8d6712a16358fd82d645469374d6b3669
    Reviewed-on: https://code.wireshark.org/review/15535
    Petri-Dish: João Valverde <j@v6e.pt>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>

commit 3456d09
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 22 20:21:17 2016 -0400

    Make sure EAPOL body is big enough for a EAPOL_RSN_KEY.
    
    A pointer to a EAPOL_RSN_KEY is set on the packet presuming the
    whole EAPOL_RSN_KEY is there.  That's not always the case for
    fuzzed/malicious captures.
    
    Bug: 11585
    Change-Id: Ib94b8aceef444c7820e43b969596efdb8dbecccd
    Reviewed-on: https://code.wireshark.org/review/15540
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 9b0b20b8d5f8c9f7839d58ff6c5900f7e19283b4)
    Reviewed-on: https://code.wireshark.org/review/15543
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 576d42d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 22 08:18:54 2016 -0700

    [Automatic update for 2016-05-22]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Icaa99c2c726c949abaeccda02f7dc4f65fa4476e
    Reviewed-on: https://code.wireshark.org/review/15528
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d7e045b
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Sat May 21 10:07:59 2016 +0200

    Add mentioning of support of Server 2012 R2 in the users guide
    
    Bug: 12455
    Change-Id: I1c1fc4b2bff0e446d3eb8e1b3be4ea7669cec923
    Reviewed-on: https://code.wireshark.org/review/15511
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit beca560ffb9718a49aad7c45abf7cb6c224b5c86)
    Reviewed-on: https://code.wireshark.org/review/15513

commit 07d953a
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Fri Apr 8 14:25:05 2016 +0100

    Fix CMake VC Redist message
    
    The usage message was using the wrong variable
    
    Change-Id: I5ca261240db49134f3d48a5e322d9272f8af7adf
    Reviewed-on: https://code.wireshark.org/review/14865
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    (cherry picked from commit 434bbd67a06803ce6bb9a8e0adc6d596246bc458)
    Reviewed-on: https://code.wireshark.org/review/15510
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit adace2b
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Apr 8 09:56:28 2016 +0200

    Fix a typo
    
    Change-Id: I32c551fc39ef496e8bbaba288c4ad4dafa2412c9
    Reviewed-on: https://code.wireshark.org/review/14862
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 8a6cb4267ff498ab6ae6af4d1e7164e8264c6234)
    Reviewed-on: https://code.wireshark.org/review/15508

commit 32b2810
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Apr 6 17:25:18 2016 +0200

    [MSVC2015] Fix finding of vcredist when using MSVC2015.
    
    Change-Id: I23ddc8c7601e61c7c092a258e4e540bc475e020a
    Reviewed-on: https://code.wireshark.org/review/14831
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 5601d6057b9717cd415bfda75b58cc0aa1248cbc)
    Reviewed-on: https://code.wireshark.org/review/15507

commit 25dfe95
Author: Anthony Coddington <anthony.coddington@endace.com>
Date:   Mon Apr 18 13:44:35 2016 +1200

    pcap-common: Account for padding in ENCAP_ERF len and caplen
    
    Set len and caplen in pcap_read_post_process to actual wlen/payload length like for native ERF.
    This fixes padding incorrectly showing as an Ethernet trailer or equivalent as
    well as packet length calculations being incorrect.
    
    Fix up rlen when writing ENCAP_ERF so it isn't longer than the actual record
    length. This differs from native ERF behaviour which pads the record instead
    but there is currently no non-hackish way to do this for pcap/pcap-ng.
    
    Note: This means records captured from a DAG card in Wireshark (or old
    PCAP(-NG) files opened) will have padding stripped when saved as PCAP(-NG) and
    thus cannot be transmitted when converted to native ERF without aligning first.
    However, if the file is saved as native ERF originally the padding will be
    preserved (and zeroed). Given that extension header write support was very
    broken and transmission of PCAP(-NG) is not supported without conversion this
    is not expected to have been common.
    
    Ping-Bug: 3606
    Change-Id: I49dce03984d7f07431b6eb7e16a993aeb571f288
    Reviewed-on: https://code.wireshark.org/review/15359
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit c38f4e1391cc914271e168606cc1e8adcc973bd8)
    Reviewed-on: https://code.wireshark.org/review/15428
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e7af5c5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue May 17 23:09:39 2016 +0200

    Qt: make RTP stream analysis columns sortable
    
    While we are at it, let's sort the rows in ascending order also in
    RTP stream dialog
    
    Bug: 12405
    Change-Id: Icf96fa071d5d49bcd1c3673c2a5e55b51b359eaa
    Reviewed-on: https://code.wireshark.org/review/15493
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit c564715db1c54375f877d208efc11e7a9480e26b)
    Reviewed-on: https://code.wireshark.org/review/15494
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7b360ce
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri May 13 11:13:07 2016 -0700

    Qt: Fix a recent files infinite loop.
    
    QListWidget::takeItem does nothing if the row is invalid. This is the
    case when we pass it ::count(). Make sure that we remove a valid row and
    that our loop will terminate.
    
    Follow-up to g174dc98.
    
    Change-Id: I7e695cc04b2f3b5c28a8cc70af0579d787ff8737
    Reviewed-on: https://code.wireshark.org/review/15417
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 43776d4b7391874a69a706661a71f2020c05230b)
    Reviewed-on: https://code.wireshark.org/review/15475

commit 8f8a2d0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 16 16:26:34 2016 +0200

    ethertype: Add old non-standard 802.1ad (QinQ)
    
    Issue reported by boaz
    Bug:12441
    
    Change-Id: I8652f165d782039f0a01f3c10bd67b34c33eacc5
    Reviewed-on: https://code.wireshark.org/review/15462
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2794061
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Mar 11 13:36:36 2016 +0100

    [SGsAP] Wrong tag used for IE  Erroneous message, dissect the failing
    message too.
    
    Change-Id: I6d10d41366795e59396c238cf620c43a3d96217b
    Reviewed-on: https://code.wireshark.org/review/14420
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 2c668216f96997cfa2150649d916f9e02502b47d)
    Reviewed-on: https://code.wireshark.org/review/15459

commit faa7745
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed May 11 15:16:44 2016 +0200

    Qt: add some cleanup function calls missing when leaving application
    
    Change-Id: I8f22d321e84daa36d4a40856b61d0844d3489cc2
    Reviewed-on: https://code.wireshark.org/review/15374
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit f3e120816c1e74eda131f95a74e61777995c2c7b)
    Reviewed-on: https://code.wireshark.org/review/15435

commit c598281
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 15 18:24:34 2016 +0200

    tshark: fix double memory free when analyzing several RTP streams
    
    Bug: 12430
    Change-Id: I4f77aee4102edb9d5d8d450de962ca1f4b33bb71
    Reviewed-on: https://code.wireshark.org/review/15434
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 72bba57deb6d99db4558ae17d0e842ec1c505e91)
    Reviewed-on: https://code.wireshark.org/review/15436

commit 2015153
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 15 08:17:32 2016 -0700

    [Automatic update for 2016-05-15]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ib1d3e322d4783bf16dfe5e455d30ef9c9d33a75d
    Reviewed-on: https://code.wireshark.org/review/15430
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2c13e97
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 14 01:15:56 2016 -0700

    The WTAP_ENCAP_ETHERNET dissector needs to be passed a struct eth_phdr.
    
    We now require that.  Make it so.
    
    Bug: 12440
    Change-Id: Iffee520976b013800699bde3c6092a3e86be0d76
    Reviewed-on: https://code.wireshark.org/review/15424
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7d8c723
Author: Lori Tribble <ljtconsulting@gmail.com>
Date:   Thu May 12 21:08:35 2016 -0400

    BACAPP: event-time-stamps decode fix
    
    event-time-stamps decode when array-index is 0.
    
    Bug: 12422
    Change-Id: I9f1f90e269352a49a8fc8a2ba2f64211f3cf7961
    Reviewed-on: https://code.wireshark.org/review/15409
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit de61fb1cfbba8683c93672f38824202da13dad26)
    Reviewed-on: https://code.wireshark.org/review/15412
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit 8018acf
Author: Anthony Coddington <anthony.coddington@endace.com>
Date:   Thu May 12 19:10:37 2016 +1200

    ERF: In packet-eth register ERF_TYPE_ETH variants.
    
    Register for:
    ERF_TYPE_COLOR_ETH
    ERF_TYPE_DSM_COLOR_ETH
    ERF_TYPE_COLOR_HASH_ETH
    
    Change-Id: I5877ca5721abaa269f937cca0414df4f6b1a5eef
    Reviewed-on: https://code.wireshark.org/review/15398
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 7623aed62a37d7281faeffcb173585dbe87e8e0c)
    Reviewed-on: https://code.wireshark.org/review/15402
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9c1d284
Author: Tigran Mkrtchyan <tigran.mkrtchyan@desy.de>
Date:   Thu May 12 15:40:20 2016 +0200

    packet-nfs: add decoding and displaying of exclusive create attributes
    
    NFSv4.1 defines FATTR4_SUPPATTR_EXCLCREAT attribute which tells the client
    a bitmap of attributes which can be set during exclusive create. Wireshark did
    show that FATTR4_SUPPATTR_EXCLCREAT is provided, but doesn't show supported
    attributes.
    
    Bug: 12435
    Change-Id: I29fc6beb2e75e9c78d68b1ca73a714bab2ad10a2
    Signed-off-by: Tigran Mkrtchyan <tigran.mkrtchyan@desy.de>
    Reviewed-on: https://code.wireshark.org/review/15401
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 1fca7767d003bb4fa601a7205d154171fe796f2b)
    Reviewed-on: https://code.wireshark.org/review/15406

commit a716916
Author: Anthony Coddington <anthony.coddington@endace.com>
Date:   Tue Apr 5 18:19:59 2016 +1200

    pcap-common: Fix several serious ENCAP_ERF extension header writing issues
    
    Write ERF subheader after extension headers, especially important for Ethernet
    (other types predate extension headers for the most part).
    Add missing ERF_TYPE_MC_AAL2 and ERF_TYPE_COLOR_HASH_ETH.
    
    Truncate final ERF extension header when too many. Rlen is not currently
    adjusted so may be incorrect (see followup patch). Existing tools generally
    check against PCAP incl_len anyway as there are other scenarios where this can
    happen like naive snapping or Wireshark ERF-to-PCAP.
    Properly fixing this will involve getting rid of the ERF pseudoheader.
    Consistent with the ERF wiretap (except for different padding behaviour).
    
    Bug: 3606
    Change-Id: I9373ef5234dcf6c0165e0a92fef42aae6d9f175a
    Reviewed-on: https://code.wireshark.org/review/15393
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e9cb583
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 11 17:20:30 2016 -0700

    Fix signature of dissect_eth_maybefcs().
    
    Change-Id: I1d4f2eb9f840c9d4894b417d9134f5c2fc5f1624
    Reviewed-on: https://code.wireshark.org/review/15390
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit dec1b55
Author: Anthony Coddington <anthony.coddington@endace.com>
Date:   Wed May 11 17:18:33 2016 -0700

    ERF: Fix Ethernet FCS detection and remove preference
    
    Use eth_maybefcs instead of eth_withoutfcs.
    ERF_TYPE_ETH records almost always have FCS, but using maybe means the "Assume
    packets have FCS" is respected.
    Mark the erf_ethfcs preference as obsolete. It was being ignored.
    This was broken by Change 3670 which changed the ERF dissector to use
    a dissector table.
    
    Change-Id: Ie0043441511c4a4fa5974747af31f88105a974bf
    Reviewed-on: https://code.wireshark.org/review/15389
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7c0edd8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 20 01:46:34 2016 -0800

    Separate "Ethernet in capture file" and "Ethernet maybe with FCS" dissectors.
    
    Have a dissector that is passed a "struct eth_phdr" pointer, indicating
    whether there is an FCS, there is no FCS, or there's maybe an FCS, and
    an "eth_maybefcs" dissector, to be called from other dissectors.  The
    latter takes no data argument.
    
    That obviates the need for callers of the latter to fill in an
    "eth_phdr" structure.
    
    Note in a comment that setting the "assume an FCS" preference overrides
    a file format handler in Wiretap saying "we have no FCS".  I seem to
    remember that this might be intentional.
    
    Change-Id: Ied48a3c0ae2b2ff1010032aa5a4a97fe394d48f6
    Ping-Bug: 9933
    Reviewed-on: https://code.wireshark.org/review/15388
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 72f1bfe
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 17 16:45:38 2016 -0800

    Handle frames where the type field is a length field.
    
    The BNEP Version 1.0 spec says, for BNEP_GENERAL_ETHERNET packets,
    "Note: Networking Protocol Types as used in this specification SHALL be
    taken to include values in the range 0x0000-0x05dc, used to represent
    the IEEE802.3 length interpretation of the IEEE802.3 length/type
    field.", although it says that it's not mandatory to process those
    packets.
    
    We'll process them.
    
    We don't need an Ethernet dissector handle, so don't fetch one.
    
    Change-Id: I10b1fce62688fc0643435d0a01bdb969577df97e
    Reviewed-on: https://code.wireshark.org/review/13376
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a5cc29b245e2509d5451caa653e0cf83bee56782)
    Reviewed-on: https://code.wireshark.org/review/15387

commit 46945f4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 17 13:05:22 2016 -0800

    Fix comment.
    
    Change-Id: Icea9d23bb979ae6b57c65e0178a3634689992e78
    Reviewed-on: https://code.wireshark.org/review/13369
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 439d1c966532bce145c2ce70b66e1e9fc1d7efd0)
    Reviewed-on: https://code.wireshark.org/review/15386

commit 1f1367c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 17 12:56:04 2016 -0800

    More comments.
    
    Including a URL for a Cisco page with diagrams of the encapsulation.
    
    Change-Id: I4fb4356ea6071ca7efb596a8d35f982478bf4896
    Reviewed-on: https://code.wireshark.org/review/13367
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-on: https://code.wireshark.org/review/15385

commit 47c3683
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 19 20:58:06 2016 -0800

    Call the dissectors for types in TZSP packets individually.
    
    That way, we know we're passing them the dissector data they expect.
    
    Change-Id: I43aa1b751705eae77e082c537e8ffd6a4edc1a5f
    Reviewed-on: https://code.wireshark.org/review/13430
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit aeeb2a99420f90121ffccaab817a51096e078c70)
    Reviewed-on: https://code.wireshark.org/review/15381

commit 9f6e607
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jan 16 19:30:41 2016 -0800

    Call the "no FCS present" version of the Ethernet dissector.
    
    The I-D doesn't explicity indicate that the FCS isn't present in the
    tunneled Ethernet frames, but it is missing from the captures attached
    to bug 10282.
    
    Update the I-D number while we're at it.
    
    Bug: 9933
    Change-Id: I6e78b20cb858e6c8c4d7380b17b88382db013d56
    Reviewed-on: https://code.wireshark.org/review/13350
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit fe82323df04e5fb2aaa3875d69e4e1ffe122b1ef)
    Reviewed-on: https://code.wireshark.org/review/15384

commit f3878c6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 17 20:08:17 2016 -0800

    Have the "maybe an FCS" version of the Ethernet dissector take a data argument.
    
    It's called from some places other than packet-frame.c, at least one of
    which currently can't call anything else (the ATM dissector, for
    VC-multiplexed bridged frames, where you don't know whether the frames
    include the FCS or not), so the frame's pseudo-data doesn't necessarily
    have the appropriate "FCS length" value.  Have it explicitly check the
    data argument, and explicitly pass the appropriate value to it.
    
    Change-Id: I0c94e1355e6a0d462c8225bf3831500409984a08
    Ping-Bug: 9933
    Reviewed-on: https://code.wireshark.org/review/15382
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 057798f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed May 11 14:31:59 2016 +0200

    Qt: fix loading of profile by command line
    
    recent_read_static() must be called before processing the -C option
    as it will select the last profile used.
    While we are at it, add a missing profile_store_persconffiles(FALSE) call
    to match what is done in GTK based UI
    
    Bug: 12425
    Change-Id: I9cfdca3ed25f0ed97535178973e3f0427b9ad2b1
    Reviewed-on: https://code.wireshark.org/review/15371
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 95f47187c7381e47883b5c095ca38d8fcecd1269)
    Reviewed-on: https://code.wireshark.org/review/15376
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit ed96054
Author: Rustam Safargalin <rustam.safargalin@sifox.ru>
Date:   Wed May 11 09:57:05 2016 +0300

    Fix warnings for good ISUP messages
    
    Bug: 12423
    Change-Id: Ie4bd0507677850317fda69b991d167948b241397
    Reviewed-on: https://code.wireshark.org/review/15356
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit aba9a5a299a07379ba6a6c42e84bfd3c4b8260ca)
    Reviewed-on: https://code.wireshark.org/review/15372
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 6442a26
Author: Marius Paliga <mareko.paliga@gmail.com>
Date:   Wed May 11 14:41:25 2016 +0200

    Fixed value for experimental result code 5142
    
    Bug: 12428
    Change-Id: Idc46b4bc881fb2c5e83af7ac55b5cfd060d9b185
    Reviewed-on: https://code.wireshark.org/review/15370
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit 62ccbc994d6111489e0eddf77bf5dd189ebdcd10)
    Reviewed-on: https://code.wireshark.org/review/15373

commit b4a7edf
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed May 11 11:55:18 2016 +0200

    MRCPv2: do not update info column under tree check
    
    Bug: 12426
    Change-Id: I1921e6d409af3290862f41f07e95c2c5036bee80
    Reviewed-on: https://code.wireshark.org/review/15364
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 6bfa7a8b41e2d60bcd5ae3f2e5bf272e18c501d2)
    Reviewed-on: https://code.wireshark.org/review/15367

commit 253d4ca
Author: Christian Ambach <ambi@samba.org>
Date:   Wed May 11 11:36:17 2016 +0200

    correctly decode EA Data Length in CIFS
    
    This field is little endian, not big.
    The SMB2 dissector already does it right.
    
    Change-Id: I859f581424be861fdcc1a586d085ba3bfe70a2f0
    Signed-off-by: Christian Ambach <ambi@samba.org>
    Reviewed-on: https://code.wireshark.org/review/15365
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 70fb7a83991e8a90b3d79658e5ba5ad509aa8b5c)
    Reviewed-on: https://code.wireshark.org/review/15366

commit 6689765
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue May 10 22:18:34 2016 +0200

    Upgrade c-ares Windows library from 1.9.1 to 1.11.0
    
    Bug: 12412
    Change-Id: I5e5f8f86293e391ec425a6e3e314573711947bce
    Reviewed-on: https://code.wireshark.org/review/15345
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 6d0e5bbf02e9d0a97205041d35ee1ca1eb6fcdbb)
    Reviewed-on: https://code.wireshark.org/review/15353

commit f39d93c
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon May 9 20:41:45 2016 -0400

    Sanity check eapol_len in AirPDcapDecryptWPABroadcastKey
    
    Bug: 12175
    Change-Id: Iaf977ba48f8668bf8095800a115ff9a3472dd893
    Reviewed-on: https://code.wireshark.org/review/15326
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit b6d838eebf4456192360654092e5587c5207f185)
    Reviewed-on: https://code.wireshark.org/review/15333

commit 6c46684
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon May 9 23:21:28 2016 +0200

    Qt: activate RTP/IAX2 analysis widget when analyzing packets with a snaplen
    
    Only the payload save should be deactivated
    
    Bug: 12406
    Change-Id: I8dd53c0b0c1ea4568f0ff292806656bfb65a6566
    Reviewed-on: https://code.wireshark.org/review/15322
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit bd030c166ffe21e113255de3fb108b70d843b4ff)
    Reviewed-on: https://code.wireshark.org/review/15330
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit 0580a40
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 9 13:21:44 2016 -0700

    Shuffle some routines to put absolute-time and relative-time code together.
    
    Put the routines that handle absolute time ("relative to the Epoch")
    together and the routines that handle relative time together.
    
    Change-Id: I15256921091ab67a1d92026385bf1b27aa52b404
    Reviewed-on: https://code.wireshark.org/review/15316
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 1b1614913f63b75b2565e02d05598c7b5ca5464f)
    Reviewed-on: https://code.wireshark.org/review/15317

commit 504c7d0
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon May 9 21:54:10 2016 +0200

    cmake: fix GTK3 detection via pkg-config
    
    Put QUIET before the module name, otherwise FindPkgConfig tries to
    locate a module named QUIET. This fixes a build failure that complains
    about missing pango/pango.h.
    
    Tested with GTK 3.20, CMake 3.5.2 on Arch Linux.
    
    Change-Id: I76e487d0f4b7f9fbac4105521c349b392b680923
    Reviewed-on: https://code.wireshark.org/review/15314
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 27646e1cb4a6bc1348921dbff2a2590fcdfeba6e)
    Reviewed-on: https://code.wireshark.org/review/15315

commit 557f902
Author: alpartis <alpartis@thundernet.com>
Date:   Fri May 6 07:57:42 2016 -0400

    format DIS header timestamp as mm:ss.nnnnnn
    
    Older versions of this dissector displayed the header timestamp formatted to show
    minutes, seconds, and milliseconds past the hour (the DIS spec actually defines the
    timestamp in terms of microseconds).  This commit fulfills a feature request to
    return to that format.
    
    Bug: 12402
    Change-Id: Ide4adf8f80306f2458e48e8b2f78c911782669e5
    Reviewed-on: https://code.wireshark.org/review/15276
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit cb2627c77fad1e6f1f89d8ca1d0e216861d34dfa)
    Reviewed-on: https://code.wireshark.org/review/15311

commit 581d9c4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat May 7 19:25:38 2016 +0200

    LPADm: fixes for reassembly
    
    - do not packets in error in reassembly table
    - filter retransmissions based on N(S) value
    
    See https://www.wireshark.org/lists/wireshark-users/201605/msg00000.html
    
    Change-Id: I0c2ab36acd5927529d40f8fa7fd2eed17a6fc486
    Reviewed-on: https://code.wireshark.org/review/15281
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit dfdeb54ae2a55dadd4f2fdec2b450dfd24e7b7f7)
    Conflicts:
    	epan/dissectors/packet-lapdm.c
    Reviewed-on: https://code.wireshark.org/review/15307

commit e2fa12e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 8 21:22:16 2016 +0200

    GSM A RR: fix dissection of GPRS Cell Options IE
    
    As seen in the capture given in https://www.wireshark.org/lists/wireshark-users/201605/msg00007.html
    The extension length is not always equal to ll the options defined for a given release
    
    Change-Id: I68ba57dd384122eed1f1ff36cc8acc7ef029fcd0
    Reviewed-on: https://code.wireshark.org/review/15290
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit b9368fcdb8226ff55365e85a71b0a581faf8c6c6)
    Reviewed-on: https://code.wireshark.org/review/15297

commit 2a44bd8
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 8 22:39:20 2016 +0200

    LAPSat: fix reported length for tvb subset
    
    It seems like LAPSat can have have padding bytes as seen in the capture found
    here: https://bugs.wireshark.org/bugzilla/attachment.cgi?id=9005
    
    Change-Id: Ia2c7230c4c9fdae0bbe456585ab164f04eda0eb8
    Reviewed-on: https://code.wireshark.org/review/15293
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 65efca4ec1c22e38419b0f8da766291bce82585c)
    Reviewed-on: https://code.wireshark.org/review/15295

commit f96b401
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 8 11:06:21 2016 -0700

    The tabulation is specified by the stuff at the end.
    
    I'm not sure what "4-space tabulation means", but:
    
    	if it's "a tab character means 4 spaces", that's just *wrong* in
    	a UN*X environment (Apple's mistaken use of "tab is 4 spaces" as
    	the default in Xcode nonwithstanding - Xcode is just *wrong*
    	there);
    
    	if it's "use 4-space *indentation*", then the code should be
    	reformatted and the editor hints updated.
    
    Change-Id: Ie8249b483fe9d6fcd8db29b72167eb854eec863e
    Reviewed-on: https://code.wireshark.org/review/15288
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit ac2169623e22a5281afa4ede84cec1167bbe6363)
    Reviewed-on: https://code.wireshark.org/review/15289

commit 652a1e2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 8 11:03:51 2016 -0700

    Show the string table a bit better.
    
    Show, for each item, the offset and the string value; the offset is
    what's used in tokens.
    
    While we're at it, print a 32-bit unsigned length field as unsigned
    rather than signed.
    
    Change-Id: I167e1683bab6a8ed1dba4c53c1c9050d5c25c754
    Reviewed-on: https://code.wireshark.org/review/15286
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 35ec71ba870eda64eea496092b356bad3045f0f8)
    Reviewed-on: https://code.wireshark.org/review/15287

commit 56f2a43
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 8 08:16:06 2016 -0700

    [Automatic update for 2016-05-08]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I3da686a3e2791f32e5939a8933dfa125daabd963
    Reviewed-on: https://code.wireshark.org/review/15284
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 85cc4f0
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon May 2 21:44:48 2016 -0400

    Convert ftype-tvbuff.c to ftype-protocol.c
    
    As noted in https://www.wireshark.org/lists/wireshark-dev/201604/msg00103.html
    a protocol field isn't really a tv_buff, so allow for the possibility
    of a NULL tv_buff in a "protocol type".  If the tvb is NULL, use the
    string of the protocol field for comparison
    
    # Conflicts:
    #	epan/ftypes/.editorconfig
    #	epan/ftypes/CMakeLists.txt
    #	epan/ftypes/ftype-ieee-11073-float.c
    #	epan/ftypes/ftypes.h
    
    Bug: 12335
    Change-Id: Ie12a5f7b31c7293c61006b0f70135d100a97c4e0
    Reviewed-on: https://code.wireshark.org/review/15261
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/15274

commit d141d31
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu May 5 10:46:12 2016 -0700

    Git: Add .vscode to .gitignore.
    
    Change-Id: Ib4bb2d03eb493f83e18c507b1675feefd1f27384
    Reviewed-on: https://code.wireshark.org/review/15271
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit f54ef6f8a0ebbf538a8765bc715741014b18aacb)
    Reviewed-on: https://code.wireshark.org/review/15272

commit c25ae7e
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Sat Apr 30 21:19:24 2016 +0100

    ICMPv6: Observe "Redirected Header" option length
    
    Bug: 12400
    Change-Id: Ic4116082b0f6c119172b222aadefab821f1b0971
    Reviewed-on: https://code.wireshark.org/review/15226
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9753ea8
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Mar 28 15:46:33 2016 -0700

    SPOOLSS: Try to avoid an infinite loop.
    
    Use tvb_reported_length_remaining in dissect_spoolss_uint16uni. Make
    sure our offset always increments in dissect_spoolss_keybuffer.
    
    Change-Id: I7017c9685bb2fa27161d80a03b8fca4ef630e793
    Reviewed-on: https://code.wireshark.org/review/14687
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit b4d16b4495b732888e12baf5b8a7e9bf2665e22b)
    Reviewed-on: https://code.wireshark.org/review/15248

commit fa22308
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 1 17:52:45 2016 -0700

    Don't assume packets will be no larger than ISERIES_MAX_PACKET_LEN.
    
    We don't check against it.  Insteead, use phdr->caplen as the buffer
    size; that's based on the number of hex digits we've found.
    
    While we're at it, also get rid of ISERIES_PKT_ALLOC_SIZE - it makes it
    less obvious that it's based on the packet length from the packet
    header.
    
    Change-Id: I8ad6306c62e7bc4cf896b335f39a5a77780fb2ea
    Reviewed-on: https://code.wireshark.org/review/15236
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6332c2f45e5f0b23893a41def45384911f28109a)
    Reviewed-on: https://code.wireshark.org/review/15237

commit 0a2a956
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 1 17:02:12 2016 -0700

    Make sure the packet length isn't > WTAP_MAX_PACKET_SIZE.
    
    Change-Id: I65c1e87e2fcff93b3db998666ff51f19ecd71b55
    Reviewed-on: https://code.wireshark.org/review/15233
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 7666361bf968057e400d3e73ccc12723707e3646)
    Reviewed-on: https://code.wireshark.org/review/15234

commit f5e7e03
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 1 16:29:41 2016 -0700

    Don't treat the packet length as unsigned.
    
    The scanf family of functions are as annoyingly bad at handling unsigned
    numbers as strtoul() is - both of them are perfectly willing to accept a
    value beginning with a negative sign as an unsigned value.  When using
    strtoul(), you can compensate for this by explicitly checking for a '-'
    as the first character of the string, but you can't do that with
    sscanf().
    
    So revert to having pkt_len be signed, and scanning it with %d, but
    check for a negative value and fail if we see a negative value.
    
    Bug: 12394
    Change-Id: I4b19b95f2e1ffc96dac5c91bff6698c246f52007
    Reviewed-on: https://code.wireshark.org/review/15230
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 3270dfac43da861c714df76513456b46765ff47f)
    Reviewed-on: https://code.wireshark.org/review/15231

commit 45fc804
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 1 16:22:40 2016 -0700

    Don't treat the packet length as unsigned.
    
    The scanf family of functions are as annoyingly bad at handling unsigned
    numbers as strtoul() is - both of them are perfectly willing to accept a
    value beginning with a negative sign as an unsigned value.  When using
    strtoul(), you can compensate for this by explicitly checking for a '-'
    as the first character of the string, but you can't do that with
    sscanf().
    
    So revert to having pkt_len be signed, and scanning it with %d, but
    check for a negative value and fail if we see a negative value.
    
    Bug: 12395
    Change-Id: I43b458a73b0934e9a5c2c89d34eac5a8f21a7455
    Reviewed-on: https://code.wireshark.org/review/15223
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a66628e425db725df1ac52a3c573a03357060ddd)
    Reviewed-on: https://code.wireshark.org/review/15224

commit 2916518
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 1 16:13:31 2016 -0700

    Don't treat the packet length as unsigned.
    
    The scanf family of functions are as annoyingly bad at handling unsigned
    numbers as strtoul() is - both of them are perfectly willing to accept a
    value beginning with a negative sign as an unsigned value.  When using
    strtoul(), you can compensate for this by explicitly checking for a '-'
    as the first character of the string, but you can't do that with
    sscanf().
    
    So revert to having pkt_len be signed, and scanning it with %d, but
    check for a negative value and fail if we see a negative value.
    
    Bug: 12396
    Change-Id: I54fe8f61f42c32b5ef33da633ece51bbcda8c95f
    Reviewed-on: https://code.wireshark.org/review/15220
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 11edc83b98a61e890d7bb01855389d40e984ea82)
    Reviewed-on: https://code.wireshark.org/review/15221

commit e499daa
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 1 16:02:40 2016 -0700

    Don't treat the packet length as unsigned.
    
    The scanf family of functions are as annoyingly bad at handling unsigned
    numbers as strtoul() is - both of them are perfectly willing to accept a
    value beginning with a negative sign as an unsigned value.  When using
    strtoul(), you can compensate for this by explicitly checking for a '-'
    as the first character of the string, but you can't do that with
    sscanf().
    
    So revert to having pkt_len be signed, and scanning it with %d, but
    check for a negative value and fail if we see a negative value.
    
    Change-Id: I6450d468504e942df72342176a0e145e5ac3db5f
    Reviewed-on: https://code.wireshark.org/review/15216
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 29c78db2a80a93653f32e4fd2f00b9b550432c43)
    Reviewed-on: https://code.wireshark.org/review/15217

commit 20e7875
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 1 12:55:23 2016 -0400

    Make class "type" for USB conversations.
    
    USB dissectors can't assume that only their class type has been passed around in the conversation.  Make explicit check that class type expected matches the dissector and stop/prevent dissection if there isn't a match.
    
    # Conflicts:
    #	epan/dissectors/packet-u3v.c
    
    Bug: 12356
    Change-Id: Ib23973a4ebd0fbb51952ffc118daf95e3389a209
    Reviewed-on: https://code.wireshark.org/review/15212
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/15213

commit da4c096
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 1 08:15:54 2016 -0700

    [Automatic update for 2016-05-01]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Id548b0dbc9eceb85f7f0e71c52a3b6a7d7354ad0
    Reviewed-on: https://code.wireshark.org/review/15207
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d2024f2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 30 11:30:07 2016 -0700

    Clean up packet length handling.
    
    Treat the packet length as unsigned - it shouldn't be negative in the
    file.  If it is, that'll probably cause the sscanf to fail, so we'll
    report the file as bad.
    
    A normal packet should be Ethernet-sized; initially make the buffer big
    enough for a maximum-sized Ethernet packet.
    
    Once we know the payload length, check to make sure the packet length
    won't be > WTAP_MAX_PACKET_SIZE and fail if it will.  Then boost the
    buffer size to be large enough for the packet, even if it's bigger than
    a maximum-sized Ethernet packet.
    
    Change-Id: I75b2108dd68f5bc5cd436bf5b82990089a7116bf
    Reviewed-on: https://code.wireshark.org/review/15200
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0bffb1663ecb4229699ba7263f4ed7f9824c5fc0)
    Reviewed-on: https://code.wireshark.org/review/15201

commit dac16c5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Apr 29 16:25:03 2016 +0200

    IPv4: use calculated value for Header Length display filter
    
    Bug: 12387
    Change-Id: I63370ea884b6fb75a0743fecc06af2e213700645
    Reviewed-on: https://code.wireshark.org/review/15163
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: João Valverde <j@v6e.pt>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit f29d1da0fbc86d84bceccda13cf226bce63f226f)
    Reviewed-on: https://code.wireshark.org/review/15194

commit f90e0ac
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 29 19:35:10 2016 -0700

    Check for packets bigger than WTAP_MAX_PACKET_SIZE.
    
    Change-Id: Iaa4865393e711633312e44eaba4985c75668746a
    Reviewed-on: https://code.wireshark.org/review/15190
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 43cf41a356e41588dff1959ddfef83e5a6785fe1)
    Reviewed-on: https://code.wireshark.org/review/15191

commit d58df37
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 29 19:10:01 2016 -0700

    Check for packets bigger than WTAP_MAX_PACKET_SIZE.
    
    Change-Id: Ia932f3e5aeaca7a566ea9f00ce1dca1a2071a1a4
    Reviewed-on: https://code.wireshark.org/review/15187
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit bc62c096d058c6db3ea45fcb8f0d041d4cb9580d)
    Reviewed-on: https://code.wireshark.org/review/15188

commit 9533b5f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 29 18:59:44 2016 -0700

    Check for packets bigger than WTAP_MAX_PACKET_SIZE.
    
    Change-Id: If7cd6ae60b805121c3f54dcaa48d730b6cd9b648
    Reviewed-on: https://code.wireshark.org/review/15183
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 44f72a90eaffc8a0322b377c4a66c11bf63340dc)
    Reviewed-on: https://code.wireshark.org/review/15184

commit 606fc45
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 29 18:55:07 2016 -0700

    Check for packets bigger than WTAP_MAX_PACKET_SIZE.
    
    And note the cases where we don't have to check, as the length in the
    file is 2 bytes long, and 65535 + the metadata length is <
    WTAP_MAX_PACKET_SIZE.
    
    Change-Id: I1e690eeee900b9aa7484dc0bd0c106dc38c77269
    Reviewed-on: https://code.wireshark.org/review/15180
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 5635d9a02dff05dded9c40e34520a7e309789af6)
    Reviewed-on: https://code.wireshark.org/review/15181

commit 4a098bb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 29 17:08:11 2016 -0700

    Fix packet length handling.
    
    Treat the packet length as unsigned - it shouldn't be negative in the
    file.  If it is, that'll probably cause the sscanf to fail, so we'll
    report the file as bad.
    
    Check it against WTAP_MAX_PACKET_SIZE to make sure we don't try to
    allocate a huge amount of memory, just as we do in other file readers.
    
    Use the now-validated packet size as the length in
    ws_buffer_assure_space(), so we are certain to have enough space, and
    don't allocate too much space.
    
    Merge the header and packet data parsing routines while we're at it.
    
    Bug: 12396
    Change-Id: I7f981f9cdcbea7ecdeb88bfff2f12d875de2244f
    Reviewed-on: https://code.wireshark.org/review/15176
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6a140eca7b78b230f1f90a739a32257476513c78)
    Reviewed-on: https://code.wireshark.org/review/15177

commit 8d0d897
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Apr 29 14:33:44 2016 -0700

    Qt: Make sure we pass along a resizeEvent.
    
    Change-Id: I6bf07058b0a5b53fe862f4ca414602c658cf50dd
    Reviewed-on: https://code.wireshark.org/review/15168
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit c245be94c514079d144340bf7847f23545d76e24)
    Reviewed-on: https://code.wireshark.org/review/15175

commit ffee94e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 29 15:46:58 2016 -0700

    Fix packet length handling.
    
    Treat the packet length as unsigned - it shouldn't be negative in the
    file.  If it is, that'll probably cause the sscanf to fail, so we'll
    report the file as bad.
    
    Check it against WTAP_MAX_PACKET_SIZE to make sure we don't try to
    allocate a huge amount of memory, just as we do in other file readers.
    
    Use the now-validated packet size as the length in
    ws_buffer_assure_space(), so we are certain to have enough space, and
    don't allocate too much space.
    
    Merge the header and packet data parsing routines while we're at it.
    
    Bug: 12395
    Change-Id: Ia70f33b71ff28451190fcf144c333fd1362646b2
    Reviewed-on: https://code.wireshark.org/review/15172
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f5ec0afb766f19519ea9623152cca3bbe2229500)
    Reviewed-on: https://code.wireshark.org/review/15173

commit f94b8fe
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 29 15:19:49 2016 -0700

    Fix packet length handling.
    
    Treat the packet length as unsigned - it shouldn't be negative in the
    file.  If it is, that'll probably cause the sscanf to fail, so we'll
    report the file as bad.
    
    Check it against WTAP_MAX_PACKET_SIZE to make sure we don't try to
    allocate a huge amount of memory, just as we do in other file readers.
    
    Use the now-validated packet size as the length in
    ws_buffer_assure_space(), so we are certain to have enough space, and
    don't allocate too much space.
    
    Bug: 12394
    Change-Id: Ifa023ce70f7a2697bf151009b035a6e6cf8d5d90
    Reviewed-on: https://code.wireshark.org/review/15169
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 5efb45231671baa2db2011d8f67f9d6e72bc455b)
    Reviewed-on: https://code.wireshark.org/review/15170

commit 0313eda
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Apr 29 00:14:30 2016 +0200

    ANSI IS-637 A: fix display of reserved bits when using 7bits GSM encoding
    
    Change-Id: Ida59c339d174e8f9a3b8bf108374875d12c51b21
    Reviewed-on: https://code.wireshark.org/review/15153
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit e65ab3cd946cb1df3156fa6f0e2bb6dd708584fa)
    Reviewed-on: https://code.wireshark.org/review/15159

commit 503a589
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Apr 28 18:42:32 2016 -0700

    Clean up check for getaddrinfo().
    
    Have AC_WIRESHARK_SOCKET_LIB_CHECK first check whether it can find
    connect() without -lsocket or -lnsl, and if that fails, check whether it
    can find connect() with -lsocket, and, if *that* fails, check whether it
    can find connect() with -lsocket and -lnsl, and give up if that fails,
    otherwise set SOCKET_LIBS and NSL_LIBS appropriately.
    
    Have AC_WIRESHARK_GETADDRINFO_LIB_CHECK check for getaddrinfo() in
    -lsocket, not -lnsl, as it's in -lsocket in Solaris 10 and 11, although
    it links with -lnsl as well if AC_WIRESHARK_SOCKET_LIB_CHECK found it
    was required.  If it's in -lsocket, and SOCKET_LIBS hasn't already been
    set, set SOCKET_LIBS.  Set $found_getaddrinfo if it finds it anywhere.
    
    Have AC_WIRESHARK_GETHOSTBY_LIB_CHECK check for gethostbyname() in
    -lnsl.  If it's in -lnsl, and NSL_LIBS hasn't already been set, set
    NSL_LIBS.  Set $found_gethostbyname if it finds it anywhere.
    
    If we didn't find C-ARES, and didn't find getaddrinfo() anywhere, and
    didn't find gethosbyname() anywhere, fail.  Use the $found_ variables,
    as there's no guarantee that the "find it in the system libraries" test
    will succeed and set $ac_cv_func_XXX.
    
    Bug: 12391
    Change-Id: I8a8973ab79175f56b717970ef916feca29a10288
    Reviewed-on: https://code.wireshark.org/review/15158
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e2f06c1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Apr 28 14:46:31 2016 -0700

    Cleanups to issues found while investigating 12386.
    
    Get rid of the printable-IP-address member of a sub_net_hashipv4; it's
    not used.
    
    Free hash buckets of those structures iteratively, not recursively.
    
    Change-Id: I8dcf5c9189c689998d48a47aa27a567e607b38fe
    Reviewed-on: https://code.wireshark.org/review/15151
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 119e586
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Apr 28 12:33:28 2016 -0700

    Use "system" for "use system language", and don't try to print a null string.
    
    Add a #define USE_SYSTEM_LANGUAGE for the language string meaning "use
    the system setting", and use that instead of hardcoding "system" in
    various places.
    
    If "language" is null, don't try to write it to the file with fprintf()
    - on *most* systems, that prints "(null)", but on some systems, such as
    Solaris, it *crashes*.  Write USE_SYSTEM_LANGUAGE instead.  Check for
    "(null)" and treat it as meaning "use the system language".
    
    Map "auto" to "use the system language" as well, for backwards
    compatibility.
    
    Change-Id: I2681906e1ec18b10669b0b287c6bbcfa2fa0ebb1
    Reviewed-on: https://code.wireshark.org/review/15148
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 42cca21
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Apr 28 10:59:40 2016 -0700

    Qt: Refresh the display filter toolbar layout.
    
    Force the display filter toolbar to update its layout when we recreate
    our filter buttons. This ensures that we draw the overflow icon in
    the right place.
    
    Change-Id: Ibfb34b77d565e8db15bb2576249e0e3016993083
    Reviewed-on: https://code.wireshark.org/review/15145
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 7150588d23d5ab844dd99507ec94831375a07b67)
    Reviewed-on: https://code.wireshark.org/review/15146

commit 485bb27
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Apr 27 16:53:03 2016 -0700

    Qt: Display filter toolbar behavior tweaks.
    
    By default GtkToolbar shows overflow items in a menu. QToolBar shows
    them in a bigger toolbar. This is a problem for users with lots of
    display filter expressions because expanding the display filter toolbar
    can make it very tall.
    
    QToolBar can optionally overflow into a menu, but as noted in
    https://bugreports.qt.io/browse/QTBUG-2472 there isn't a way do so
    directly, e.g. with a setter. Force an overflow menu in the display
    filter toolbar by adding a child QToolBar and adding filter expression
    actions to it.
    
    While we're here, set the minimum width of the display filter edit to
    two-thirds of the width of the main window.
    
    Change-Id: I49cd58397e087f1aa79b5bbce471f827e9804148
    Reviewed-on: https://code.wireshark.org/review/15134
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 3c5a9b10b4dd6696861a62672b322807bb2bfdf6)
    Reviewed-on: https://code.wireshark.org/review/15144

commit 971300c
Author: IWASE Yusuke <iwase.yusuke0@gmail.com>
Date:   Tue Apr 26 16:58:32 2016 +0900

    OpenFlow: fix flow_monitor_request dissector
    
    This patch fixes:
     - offset calculation
     - monitor_id field description
    
    Change-Id: I9568b8897ca9ebbc6203db6640b88e1b1676448d
    Reviewed-on: https://code.wireshark.org/review/15128
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e899c3eb610b4f546dfced6c41ae4e166b9c729e)
    Reviewed-on: https://code.wireshark.org/review/15129

commit 4ba461c
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Thu Apr 7 16:18:07 2016 +0200

    QT translation: Remove shortcuts from *.ts files
    
    QT ships with a base set of translated terms (qt_xx.qm). Therefore
    we don't need to add these terms (like "Ctrl" or "Down") used in
    shortcuts to the wireshark_xx.ts files.
    
    The ts files are generated by running lupdate.
    To get the new ts files (without the shortcut terms) it is necessary
    to run lupdate with option "-no-obsolete".
    
    Change-Id: I6346a866ae9a1b58fa23ea089c43c90ec0dc0225
    Reviewed-on: https://code.wireshark.org/review/14848
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit aaab918fd0e306f30a3f8ca98d4187e47c0ed282)
    Reviewed-on: https://code.wireshark.org/review/15117

commit 23086b3
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Apr 25 11:39:06 2016 -0400

    J1939 can have 0 bytes of "packet data" (i.e. just CAN ID), so use tvb_reported_length instead of -1.
    
    Bug: 12366
    Change-Id: Id702572b95c3500906ce12ee9658ded132611247
    Reviewed-on: https://code.wireshark.org/review/15108
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit a4da88a3d0cc0b067c45fe8fc9c4b85a687ef6eb)
    Reviewed-on: https://code.wireshark.org/review/15110

commit ff0ba0a
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Apr 24 14:18:44 2016 -0700

    Qt: Speed up the Display Filter Expression dialog appearance.
    
    Copy over and adapt SupportedProtocolsDialog::fillTree, which fills in
    the protocol tree after the dialog is shown processes display events
    while the tree is being built.
    
    Change-Id: I25082fd94c511db6a94aaed1c463ba1c1e64855c
    Reviewed-on: https://code.wireshark.org/review/15079
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 17e4998a47c72246063de98828599c4fa079a94e)
    Reviewed-on: https://code.wireshark.org/review/15107

commit 71756bd
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Fri Apr 22 15:49:52 2016 -0400

    Qt UAT: call the UAT update callback after each field is updated.
    
    This fixes a crash when changing the SCCP dissector's users table when
    finishing the edit of a string column by clicking elsewhere (rather than
    pressing Enter/Return) or when changing an enum column.
    
    (The SCCP dissector depends on that update callback being called before the
    copy callback.)
    
    To do this:
     1) Use the editingFinished signal rather than looking for Enter/Return key
        presses (so that a focus change is processed as the end of an edit).
     2) Call the update callback when an enum field changes.
    
    Bug: 12364
    Change-Id: I1884c67b6e873b46afe33703581d0b3dccbbdaf1
    Reviewed-on: https://code.wireshark.org/review/15059
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit dc3aa26dd3acbe76d4dd91910d03927776db8eb1)
    Reviewed-on: https://code.wireshark.org/review/15077
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 0710dbb
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 24 08:13:16 2016 -0700

    [Automatic update for 2016-04-24]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I6da0404d34a459e2b4d48a7821902fa779b4d81f
    Reviewed-on: https://code.wireshark.org/review/15075
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6a2308a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 22 18:43:44 2016 -0700

    Get rid of unnecessary method override.
    
    The conversation dialog doesn't do anything different with the name
    resolution checkbox than any other subclasses of the traffic table
    dialog do, so leave it up to the parent class.
    
    Change-Id: I07f6c09b931ed10655f5921c0a4ab5d439dd6bcd
    Reviewed-on: https://code.wireshark.org/review/15065
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 76ae74cea34c47e25e4e387ee3990ba7c1231e6e)
    Reviewed-on: https://code.wireshark.org/review/15066

commit 846cfba
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 22 18:31:32 2016 -0700

    Forcibly update all items if name resolution is turned on or off.
    
    This makes the display change if you turn the name resolution checkbox
    on or off.
    
    Change-Id: I873832b103b61e1e566523a1ae1c4211937c7bae
    Reviewed-on: https://code.wireshark.org/review/15063
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 948342a487999fcf24913c4a76983c3c6d4df1d9)
    Reviewed-on: https://code.wireshark.org/review/15064

commit 699bc23
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Apr 22 13:01:43 2016 -0700

    2.0.3 → 2.0.4.
    
    Change-Id: I27b4d6c2a9183672316c835bae5e0d3625e8d1a6
    Reviewed-on: https://code.wireshark.org/review/15057
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
